Dotclear

Vous n'êtes pas identifié(e).

Annonce

#1 2013-03-28 19:41:42

pierrevg
Membre
Inscription : 2005-04-13
Site Web

php 5.4 et dc1

Bonjour

Compatibles ou non ?

Merci

Hors ligne

#2 2013-03-28 19:44:03

Philippe
Stagiaire
Lieu : Toulon
Inscription : 2004-06-13
Site Web

Re : php 5.4 et dc1

DC1 était compatible avec PHP 5.2, c'est sûr, mais avec 5.4 je ne sais pas

Hors ligne

#3 2013-03-29 05:39:58

Franck
Footer de merde
Lieu : Paris
Inscription : 2004-11-09
Site Web

Re : php 5.4 et dc1

Faut essayer :-p


Dotclear addicted since 2004

Hors ligne

#4 2013-03-29 10:39:31

pierrevg
Membre
Inscription : 2005-04-13
Site Web

Re : php 5.4 et dc1

Pf, mais c'est pas une réponse de support ça, allo, quoi ? Ouvrez-les yeux © Déjà 19 vues en moins de temps qu'il ne faut pour ne pas penser ©

Grosse flemme de tester, y a personne qui a encore un dc1 sous php5.4 ?

Hors ligne

#5 2013-03-29 11:56:44

Franck
Footer de merde
Lieu : Paris
Inscription : 2004-11-09
Site Web

Re : php 5.4 et dc1

pierrevg a écrit :

Grosse flemme de tester, y a personne qui a encore un dc1 sous php5.4 ?

Pas mieux :-p


Dotclear addicted since 2004

Hors ligne

#6 2013-03-29 11:58:55

Franck
Footer de merde
Lieu : Paris
Inscription : 2004-11-09
Site Web

Re : php 5.4 et dc1

Informations
Informations générales

Vous utilisez DotClear version 1.2.8

Les tables de DotClear dans votre base de données sont :
Nom    Enregistrements    Taille
dc_brouillons    0    1 KB
dc_categorie    6    6.66 KB
dc_comment    11258    3.76 MB
dc_dday    0    1 KB
dc_link    296    37.64 KB
dc_log    10    1.33 KB
dc_ping    296    28.57 KB
dc_post    1511    6.41 MB
dc_post_meta    3143    136.4 KB
dc_session    1    2.46 KB
dc_user    2    2.18 KB
Informations fichiers

Permission de fichiers ou de répertoires. Si un fichier ou un dossier de la liste suivante n'est pas accessible en écriture, cela n'empêchera pas DotClear de fonctionner correctement. Cela empêchera seulement certains outils de fonctionner.

Information serveur

Votre version de PHP est 5.4.4

Votre version de MySQL est 5.5.25

Votre serveur Web est Apache

dotclear blog


En direct de mon Mac, le blog s'affiche bien :-)


Dotclear addicted since 2004

Hors ligne

#7 2013-03-29 12:09:30

pierrevg
Membre
Inscription : 2005-04-13
Site Web

Re : php 5.4 et dc1

Merci ;)
Tu as vaincu ta flemme, félicitations \o/

Hors ligne

#8 2013-03-29 12:15:38

Franck
Footer de merde
Lieu : Paris
Inscription : 2004-11-09
Site Web

Re : php 5.4 et dc1

Et toi tu n'as pas vaincu la tienne, je ne te félicite pas !


Dotclear addicted since 2004

Hors ligne

#9 2013-03-29 12:32:31

pierrevg
Membre
Inscription : 2005-04-13
Site Web

Re : php 5.4 et dc1

Me suis fait une super salade pour ce midi par contre.

Hors ligne

#10 2013-03-29 12:43:14

Mirovinben
M comme Mathusalem
Lieu : Dole (Jura)
Inscription : 2007-02-06
Site Web

Re : php 5.4 et dc1

Et moi une brandade parmentière.

Comment ça ? ça n'a rien à voir ? Poisson-Huile-Patates.
N'empêche, le hasard fait bien les choses

Hors ligne

#11 2013-03-29 13:03:13

pierrevg
Membre
Inscription : 2005-04-13
Site Web

Re : php 5.4 et dc1

Et sinon ce soir j'ai prévu du magret de canard aux champignons et légumes vapeur...

Dernière modification par pierrevg (2013-03-29 13:03:23)

Hors ligne

#12 2013-03-29 13:42:01

Mirovinben
M comme Mathusalem
Lieu : Dole (Jura)
Inscription : 2007-02-06
Site Web

Re : php 5.4 et dc1

pierrevg a écrit :

Et sinon ce soir j'ai prévu du magret de canard aux champignons et légumes vapeur...

Hein ? Ça fait pas PHP ça !... Comme mon "Poisson-Huile-Patates"

Et demandons pardon à pierrevg (si tu le vois, dis lui) pour avoir pourri son fil de discussion avec ce type de digression culinaire. En même temps ça a l'avantage de faire tourner le compteur de vues à défaut de celui des réponses pertinentes.

Hors ligne

#13 2013-03-29 13:48:43

pierrevg
Membre
Inscription : 2005-04-13
Site Web

Re : php 5.4 et dc1

Eh mais réponse pertinente il y eut.

Hors ligne

#14 2013-03-29 16:30:26

Dsls
Modérateur couteau-suisse
Inscription : 2004-11-18
Site Web

Re : php 5.4 et dc1

Le nombre d'utilisateurs concernés par ce problème ne cesse d'augmenter, ouvrez les yeux bon sang !

A quand une réponse officielle du support dotclear ? Je mets mon hébergeur en copie de ces échanges, vous allez voir ce que vous allez voir ! Namèho ©


Dyslexics have more fnu!

Hors ligne

#15 2013-03-29 16:58:57

pierrevg
Membre
Inscription : 2005-04-13
Site Web

Re : php 5.4 et dc1

En un peu plus de 6h depuis mon message en 4, on atteint 56 vues ! Cinquante six ! Si ce n'est pas un signe, hein ?!
Allo quoi, mais allo ?! ©

Hors ligne

#16 2013-03-29 21:15:52

Philippe
Stagiaire
Lieu : Toulon
Inscription : 2004-06-13
Site Web

Re : php 5.4 et dc1

Dsls a écrit :

Le nombre d'utilisateurs concernés par ce problème ne cesse d'augmenter, ouvrez les yeux bon sang !

Je suis témoin : il a été multiplié par deux en 24 h !

Nous avons donc maintenant deux fous qui font encore tourner un dc1, rien que pour le geste ;)

Hors ligne

#17 2013-03-29 21:30:00

pierrevg
Membre
Inscription : 2005-04-13
Site Web

Re : php 5.4 et dc1

Ah mais moi, je ne fais rien tourner en boucle ©

Hors ligne

#18 2013-03-29 21:36:34

Philippe
Stagiaire
Lieu : Toulon
Inscription : 2004-06-13
Site Web

Re : php 5.4 et dc1

Non mais quand même, pourquoi posais-tu la question au début de ce fil ?

Parce que là on s'amuse bien (et ça pourrait durer longtemps), mais "php 5.4 et dc1" comme titre, sans nous dire ce que tu veux en faire, c'est curieux...

Hors ligne

#19 2013-03-29 21:48:12

pierrevg
Membre
Inscription : 2005-04-13
Site Web

Re : php 5.4 et dc1

Ben j'ai des connaissances qui sont encore en dc1 chez 1&1 qui passe, dès le 1er avril, en php5.4 et laisse tomber toute autre version de php. Donc, je me renseigne pour elles.

Mais quel curieux ce amalgame... ;)

Hors ligne

#20 2015-02-22 20:55:34

dubs120
Membre
Inscription : 2015-02-22
Site Web

Re : php 5.4 et dc1

Bonsoir,

Et bien moi le sujet m’intéresse! Je viens de récupérer les clefs du site du club de VTT : http://vttbarsurloup.free.fr/

J'aimerais bien pouvoir le faire évoluer, par exemple y rajouter un serveur FRAMADATE, mais voila, le blog est encore sous PHP 4 :

"Votre version de PHP est 4.4.3-dev
Votre version de MySQL est 5.0.83
Votre serveur Web est Apache/ProXad [Sep 23 2014 15:26:38]"
Et
"Vous utilisez DotClear version 1.2.4"

L'autre raison est ma difficulté à installer un serveur LAMP local en PHP4... Mais là, il 'suffit' que j'installe une version standard sur ma Xubuntu pour tester!
Comme le blog est hébergé chez 'free', quelles sont les modifications à faire pour migrer vers du PHP 5.4?

Je sais que l'un ou l'autre me dira : pourquoi ne pas le migrer également vers la dernière version de Dot.clear? Ben, avant de faire cela, il me faut être sûr du choix des autres utilisateurs, et de toutes façons, il me faudra bien commencer par le PHP5.4, non?

Merci,
Vincent.

Hors ligne

#21 2015-02-24 22:08:55

Tomek
Moderator
Inscription : 2006-04-12
Site Web

Re : php 5.4 et dc1

Blog chez Free : version très très ancienne PHP 5.1.3 dev. OK pour dotclear 1.2.4.

Pour passer en PHP5 (5.1.3 maxi donc) chez free, il suffit d'insérer un fichier htaccess avec une seule ligne. Voici ce qu'en dit la doc :

Préparation de l'environnement

Vous devez permettre l'exécution de PHP 5 sur votre espace. Pour cela, ajoutez un fichier .htaccess à la racine de votre espace en suivant ce guide. Ce fichier devra contenir :

php 1

    

Pour info, la version maximale de Dotclear 2 qui fonctionne chez free : 2.5.3 à télécharger ici -> http://download.dotclear.org/attic/

Dernière modification par Tomek (2015-02-24 22:12:28)

Hors ligne

#22 2015-02-27 20:57:57

dubs120
Membre
Inscription : 2015-02-22
Site Web

Re : php 5.4 et dc1

Zut, je n'avais pas vu cette réponse.
Merci pour ces infos, d'autant que le guide indique "Si vous utilisez d'autres applications que Dotclear sur votre site et que celles-ci ne sont pas compatibles avec PHP 5, le .htaccess devra être placé dans le répertoire de Dotclear pour ne pas avoir d'impact sur tout le site."

Donc, je dois pouvoir installer sur cette même adresse, mais avec un arborescence dédiée, une application plus récente nécessitant PHP 5 sans rien changer à DOT.CLEAR 1.2.4, chouette!

Un intérêt à passer en PHP 5 le dotclear 1.2.4 ?

Merci,
Vincent.

Hors ligne

#23 2015-02-27 21:21:04

i_love_dc
Membre
Inscription : 2007-07-13

Re : php 5.4 et dc1

la question serait plutôt, un intérêt de rester avec dc1 :-)


Pourquoi ne pas pas migrer vers dc 2 ?

Hors ligne

#24 2015-02-27 23:48:07

Tomek
Moderator
Inscription : 2006-04-12
Site Web

Re : php 5.4 et dc1

i_love_dc a écrit :

la question serait plutôt, un intérêt de rester avec dc1 :-)
Pourquoi ne pas pas migrer vers dc 2 ?

+1

Une appli plus récente qui tourne sous PHP 5.1.3, ça va devenir difficile à trouver.

Hors ligne

#25 2015-03-02 21:28:52

dubs120
Membre
Inscription : 2015-02-22
Site Web

Re : php 5.4 et dc1

i_love_dc a écrit :

Pourquoi ne pas pas migrer vers dc 2 ?

Ben, parce que le site actuel semble convenir, ou plutôt, il n'y a pas assez de raisons pour motiver les troupes à en changer! 8-)

En fait, il ne manque que la possibilité de faire des sondages à la mode Framadate et une galerie photo plus facile à maintenir (actuellement, c'est une page Face-Book qui fait office de galerie photo).
Je ne doute pas que ce soit le cas sous dc 2 pour les galeries multimédia, mais pour le sondage, il ne me semble pas en avoir vu?
Remarque, un framapad, ce serait pas mal aussi! 8-)

Pour le PHP 5.1.3, cela semble devoir impliquer de quitter free, qui est évident gratuit, ce qui n'est pas négligeable pour un petit club.

Bon, j'en conclus que le seul intérêt de passer en PHP 5 serait d'avoir une configuration équivalente en local, quoique je ne suis pas sûr de pouvoir installer du 5.1.3 en fait!

Hors ligne

Vous n'êtes pas identifié(e).

Pied de page des forums

Sites map